@echo off
chdir %1
echo ** Assemble and link %2 to %2.dll **
echo.
set Options=/SUBSYSTEM:CONSOLE /DLL /DEF:TmpDllEx.def
set CleanUp=YES
echo.
echo Options: %Options%
echo.
echo ** Assembling %2 **
echo.
\masm32\bin\ml /nologo /c /coff %2.asm
if errorlevel 1 goto ErrAsm
echo.
echo ** Linking %2 **
echo.
\masm32\BIN\link /nologo %Options% %2.obj
if errorlevel 1 goto ErrLink
if %~x3==.exe Goto TestMe
pause
exit
:TestMe
echo.
echo Test run using %3
%3
pause
if %CleanUp%==YES del %2.obj
if %CleanUp%==YES del %2.lib
if %CleanUp%==YES del %2.exp
if %CleanUp%==YES del TmpDllEx.def
CLS
exit
:ErrAsm
echo Assembly error
pause
exit
:ErrLink
echo Link error
pause
CLS